| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Configurable::ConfigurableAuditor Class Reference

Inheritance diagram for Configurable::ConfigurableAuditor:

[legend]
Collaboration diagram for Configurable::ConfigurableAuditor:

[legend]

List of all members.

## Detailed Description

Definition at line 1087 of file Configurable.py.

## Public Member Functions
def | __init__
def | getHandle
def | getGaudiType
def | getJobOptName
def | toStringProperty
## Private Attributes
| _jobOptName
## Static Private Attributes
dictionary | __slots__

## Member Function Documentation

def Configurable::ConfigurableAuditor::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName` |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 1091 of file Configurable.py.

    01091                                                          :
    01092         super( ConfigurableAuditor, self ).__init__( name )
    01093         name = self.getName()
    01094         name = name[ name.find('/')+1 : ]   # strips class, if any
    01095         self._jobOptName = name
    01096
        def getHandle( self ):

def Configurable::ConfigurableAuditor::getHandle | ( |  | self | ) |

Definition at line 1097 of file Configurable.py.

    01097                          :
    01098         # iAlgTool isn't useful, unless one knows for sure that the tool exists
    01099         return iProperty( self.getJobOptName() )
    01100
        def getGaudiType( self ):

def Configurable::ConfigurableAuditor::getGaudiType | ( |  | self | ) |

Definition at line 1101 of file Configurable.py.

    01101                             :
    01102         return 'Auditor'
    01103
        def getJobOptName( self ):

def Configurable::ConfigurableAuditor::getJobOptName | ( |  | self | ) |

Reimplemented from Configurable::Configurable.

Definition at line 1104 of file Configurable.py.

    01104                              :
    01105         return self._jobOptName
    01106
        def toStringProperty( self ):

def Configurable::ConfigurableAuditor::toStringProperty | ( |  | self | ) |

Definition at line 1107 of file Configurable.py.

    01107                                 :
    01108     # called on conversion to a string property for the jocat
    01109         return self.getType() + '/' + self.getName()
    01110
    class ConfigurableUser( Configurable ):

## Member Data Documentation

dictionary Configurable::ConfigurableAuditor::__slots__`[static, private]`

Initial value:

    { '_jobOptName' : 0, 'OutputLevel' : 0, \
                      'Enable' : 1 }

Reimplemented from Configurable::Configurable.

Definition at line 1088 of file Configurable.py.

Configurable::ConfigurableAuditor::_jobOptName`[private]`

Definition at line 1095 of file Configurable.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/python/GaudiKernel/Configurable.py